<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Deductions</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Deductions
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Deductions</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Tab</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li>
                            <a th:href="@{/setting/payroll/periode}"><i class="fa fa-inbox"></i> Period </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/payroll/gajipokok}"><i class="fa fa-inbox"></i> Bassic Salary </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/payroll/tunjangan}"><i class="fa fa-gear"></i> Allowance</a>
                        </li>
                        <li class="active">
                            <a th:href="@{/setting/payroll/pengurang}"><i class="fa fa-gear"></i> Deductions</a>
                        </li>
                        <li>
                            <a th:href="@{/setting/payroll/benefit}"><i class="fa fa-gear"></i> Benefits</a>
                        </li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
        <div class="col-md-9">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${invalid != null}">
                <h4>Data Invalid!</h4>

                <p>Data Tidak bisa diubah karena sudah didelete oleh user lain.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#detail" data-toggle="tab">Deductions</a></li>
                    <!--                    <li><a href="#keluarga" data-toggle="tab">Keluarga</a></li>-->
                    <!--                    <li><a href="#pendidikan" data-toggle="tab">Pendidikan</a></li>-->
                </ul>
                <div class="tab-content">
                    <div class="tab-pane active" id="detail">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="box box-info">
                                    <form method="get">
                                        <div class="box-header with-border">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <h3 class="box-title">Deductions</h3>
                                                </div>
                                                <div class="col-md-6" align="right">
                                                    Show entries <span sd:page-size-selector="javascript"></span>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="box-header with-border">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="input-group input-group-sm" style="width: 150px;">
                                                        <a th:href="@{/setting/payroll/pengurang/new}" name="tambah" type="button" class="btn btn-block btn-default">+ Deductions</a>
                                                    </div>
                                                </div>

                                                <div class="col-md-6" align="right">
                                                    <div class="input-group input-group-sm" style="width: 150px;">
                                                        <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                                        <div class="input-group-btn">
                                                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </form>
                                    <div class="box-body table-responsive no-padding">
                                        <table class="table table-bordered">
                                            <tr>

                                            </tr>
                                            <tr>
                                                <th style="width: 10px">#</th>
                                                <th>Code</th>
                                                <th>Name</th>
                                                <th>Taxable</th>
                                                <th style="width: 40px"></th>
                                                <th style="width: 40px"></th>
                                            </tr>
                                            <tr th:each="dataPayrollPengurang,row : ${pagePengurang}">
                                                <td th:text="${(row.index + 1) + (pagePengurang.number * pagePengurang.size)}">1.</td>
                                                <td th:text="${dataPayrollPengurang.code}">BEASISWA</td>
                                                <td th:text="${dataPayrollPengurang.name}">BEASISWA</td>
                                                <td th:text="${dataPayrollPengurang.taxable}">BEASISWA</td>
                                                <td th:text="${dataPayrollPengurang.rumus}">BEASISWA</td>
                                                <td>
                                                    <a th:href="@{/setting/payroll/pengurang/edit(payrollComponent = ${dataPayrollPengurang.id})}" class="btn btn-success btn-xs">Edit</a>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                    <!-- /.box-body -->
                                    <div class="box-footer clearfix">
                                        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                                            <li class="disabled"><a href="#" aria-label="Previous"><span
                                                    aria-hidden="true">&laquo;</span></a>
                                            </li>
                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- /.tab-content -->
            </div>
            <!-- nav-tabs-custom -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>